<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <meta name="viewport"
        content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Ecommerce</title>
  <link rel="stylesheet" th:href="@{/css/Design.css}">
  <link rel="stylesheet" th:href="@{/css/Login.css}">
</head>
<body>
<header th:replace="~{common/header}">My header here</header>

<div class="container-crudProduct" th:if="${action} == 'EDIT'">

  <form action="/product/update" method="post">
    <input type="hidden" name="_method" value="PUT"/>

    <input type="hidden" name="id" th:value="${product.id}">

    <label for="productName"><b>Product Name</b></label>
    <input type="text" placeholder="Enter Product Name" name="name" id="productName" required th:value="${product.name}">

    <label for="price"><b>Price</b></label>
    <input type="text" placeholder="Enter Price" name="price" id="price" required th:value="${product.price}">

    <label for="availableQuantity"><b>Available Quantity</b></label>
    <input type="text" placeholder="Enter Quantity" name="quantity" id="availableQuantity" required th:value="${product.quantity}">

    <label for="description"><b>Description</b></label>
    <input type="text" placeholder="Enter Description" name="description" id="description" th:value="${product.description}">

<!--    <label for="image"><b>Image</b></label>-->
<!--    <input type="text" placeholder="Enter Image" name="image" id="image">-->

    <button type="submit" name="action" value="save">Save</button>

    <button type="submit" name="action" value="delete">Delete</button>
  </form>
</div>

<div class="container-crudProduct" th:if="${action} == 'ADD'">
  <form action="/product/save" method="post">
    <label for="productName"><b>Product Name</b></label>
    <input type="text" placeholder="Enter Product Name" name="name" id="productName" required>

    <label for="price"><b>Price</b></label>
    <input type="text" placeholder="Enter Price" name="price" id="price" required>

    <label for="availableQuantity"><b>Available Quantity</b></label>
    <input type="text" placeholder="Enter Quantity" name="quantity" id="availableQuantity" required>

    <label for="description"><b>Description</b></label>
    <input type="text" placeholder="Enter Description" name="description" id="description" required>

<!--    <label for="image"><b>Image</b></label>-->
<!--    <input type="text" placeholder="Enter Image" name="image" id="image">-->

    <button type="submit">Add</button>
  </form>
</div>

<footer th:replace="~{common/footer}">My footer here</footer>
<script type="text/javascript" th:src="@{/js/Script.js}"></script>
</body>
</html>